VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Discussion of open issues, suggestions and bugs regarding Entity Developer - ORM modeling and code generation tool
Post Reply
jorgeivancho
Posts: 2
Joined: Thu 16 Aug 2018 16:00

VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by jorgeivancho » Thu 16 Aug 2018 16:16

Hi everybody...

I am having issues trying to open the .efml diagram in VS 2017 after upgrading to the latest version of VS 2017. I get the following message:

Unable to cast COM object of type 'System.__ComObject' to interface type 'Microsoft.VisualStudio.Shell.Interop.IVsAggregatableProject'. The operation failed because the QueryInterface call on the COM component for the interface with IID '{FFB2E715-7312-4B93-83D7-D37BCC561C90}' failed due to the following error: No such interface supported (Exception from HRESULT: 0x80004002 (E_NOINTERFACE)).


I tried uninstalling the entity developer product (6.2.205), cleaning up all entries I could find of the devart product manually and after restart (with VS turned off) trying a fresh installation of the latest ED version (6.3.555) but the final result was the same error message.

I tried the same upgrade in another machine with the same version of VS and ED and the result was the same as well.

Any help will be appreciated.

mrbig
Posts: 9
Joined: Fri 31 Oct 2008 23:01

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by mrbig » Sun 19 Aug 2018 13:51

Hi.

I have the same issue. - I have updated to 15.8.1 and the issue is also reproduceable here.

I have tried to reinstall devart and visual studio, but this did not fix the error.

I have found if I open the .lqml in the Entity Developer application and after that "Run custom tool", I am able to make changes despit the problem.

Regards

Shalex
Site Admin
Posts: 8660
Joined: Thu 14 Aug 2008 12:44

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by Shalex » Mon 20 Aug 2018 15:45

jorgeivancho wrote:
Thu 16 Aug 2018 16:16
Unable to cast COM object of type 'System.__ComObject' to interface type 'Microsoft.VisualStudio.Shell.Interop.IVsAggregatableProject'. The operation failed because the QueryInterface call on the COM component for the interface with IID '{FFB2E715-7312-4B93-83D7-D37BCC561C90}' failed due to the following error: No such interface supported (Exception from HRESULT: 0x80004002 (E_NOINTERFACE)).
We have reproduced the error trying to open the existing model in .NET Core project after VS 2017 upgrade to v15.8. We will notify you when the bug is fixed.

Shalex
Site Admin
Posts: 8660
Joined: Thu 14 Aug 2008 12:44

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by Shalex » Fri 31 Aug 2018 18:36

The bug with creating and opening the model in .NET Core project after VS 2017 upgrade to v15.8 is fixed: viewtopic.php?f=32&t=37634.

Jarek
Posts: 1
Joined: Wed 19 Sep 2018 13:37

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by Jarek » Wed 19 Sep 2018 13:43

In VS 2017 15.8.0 and Entity Developer 6.3.569 I have still the same problem...

Unable to cast COM object of type 'System.__ComObject' to interface type 'VSLangProj.VSProject'. This operation failed because the QueryInterface call on the COM component for the interface with IID '{2CFB826F-F6BF-480D-A546-95A0381CC411}' failed due to the following error:

How fix that?

Shalex
Site Admin
Posts: 8660
Joined: Thu 14 Aug 2008 12:44

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by Shalex » Thu 20 Sep 2018 14:50

We cannot reproduce the issue with Entity Developer v6.3.569.

Please contact us and provide the following:
1) navigate to VS2017 > Help > About, press Copy Info and give us this information
2) send us a simple test project and specify the steps to follow for reproducing

jorgeivancho
Posts: 2
Joined: Thu 16 Aug 2018 16:00

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by jorgeivancho » Thu 20 Sep 2018 18:30

I can confirm that after upgrading my devart entity developer to 6.3.582 and running VS 15.8.4 I can get the entity developer diagram to open in VS again and code generation working as well with no issues.

Thanks for the fix.

wisheszone
Posts: 1
Joined: Tue 06 Nov 2018 18:11
Contact:

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by wisheszone » Tue 06 Nov 2018 18:17

I am also having this issue but still didn't find the solution.

Shalex
Site Admin
Posts: 8660
Joined: Thu 14 Aug 2008 12:44

Re: VS 2017 15.8.0 & Entity Developer 6.3 upgrade issue...

Post by Shalex » Wed 07 Nov 2018 16:25

@wisheszone, please upgrade to Entity Developer v6.3.606.

If this doesn't help, contact us and provide the following:
1) navigate to VS2017 > Help > About, press Copy Info and give us this information
2) send us a simple test project and specify the steps to follow for reproducing

Post Reply